(in-package :oou)
(oou-provide :dialog-item-ce)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; dialog-item-ce.Lisp
;;
;; Copyright  1992 Northwestern University Institute for the Learning Sciences
;; All Rights Reserved
;;
;; author: Michael S. Engber
;;
;; methods for the dialog-item class
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(oou-dependencies
 :simple-view-ce)

(export '(dialog-item-hide dialog-item-show dialog-item-shown-p dialog-item-shown-position
          ))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; hiding dialog items (as per HideDItem & ShowDItem IM IV p.59)
;; now implemented as view functions - see simple-view-ce

(setf (symbol-function 'dialog-item-hide)           (symbol-function 'view-hide))
(setf (symbol-function 'dialog-item-show)           (symbol-function 'view-show))
(setf (symbol-function 'dialog-item-shown-p)        (symbol-function 'view-shown-p))
(setf (symbol-function 'dialog-item-shown-position) (symbol-function 'view-shown-position))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
